com.holonplatform.vaadin.flow.components.builders

## Interface DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, DialogConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTextConfigurator<C>
  All Known Subinterfaces:
    DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder
  Enclosing interface:
    DialogConfigurator<C extends DialogConfigurator<C>>

      public static interface DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>
      extends DialogConfigurator<C>

  A `DialogConfigurator` with dialog closing options configuration.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `HasTextConfigurator.BaseHasTextConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `closeOnEsc(boolean closeOnEsc)` Sets whether the dialog can be closed by hitting the esc-key or not.
    `C` | `closeOnOutsideClick(boolean closeOnOutsideClick)` Sets whether this dialog can be closed by clicking outside of it or not.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `withComponent, withComponent, withOpenedChangeListener, withToolbarComponent, withToolbarComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `create, create, text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### closeOnEsc

          C closeOnEsc(boolean closeOnEsc)

      Sets whether the dialog can be closed by hitting the esc-key or not.

      By default, the dialog is closable with esc.

      Parameters:
        `closeOnEsc` - `true` to enable closing this dialog with the esc-key, `false` to disable it
      Returns:
        this

    - #### closeOnOutsideClick

          C closeOnOutsideClick(boolean closeOnOutsideClick)

      Sets whether this dialog can be closed by clicking outside of it or not.

      By default, the dialog is closable with an outside click.

      Parameters:
        `closeOnOutsideClick` - `true` to enable closing this dialog with an outside click, `false` to disable it
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.